/**
 * 
 */
package com.platomix.datasafe;

import java.io.File;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.platomix.datasafe.support.Consts;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@EnableAsync
@EnableCaching
@EnableScheduling
@SpringBootApplication
public class Application {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		SpringApplication.run(Application.class, args);
	}
	
	@Bean
	CommandLineRunner init() {
		return (args) -> {
			File uploadFile = new File(Consts.getUploadDir());
			log.info("=============>>>upload dir:" + uploadFile.getAbsolutePath());
			if(!uploadFile.exists()) {
				uploadFile.mkdirs();
			}
			File downloadFile = new File(Consts.getDownloadDir());
			log.info("=============>>>download dir:" + downloadFile.getAbsolutePath());
			if(!downloadFile.exists()) {
				downloadFile.mkdirs();
			}
		};
	}

}
