/**
 * 
 */
package com.platomix.datasafe.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.platomix.datasafe.enums.WhetherEnum;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("BIZ_REQUEST_LOG")
public class RequestLog implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long logId;
	
	/**
	 * 来源
	 */
	private String channel;
	
	/**
	 * 调用接口的地址
	 */
	private String requestUri;
	
	/**
	 * 文件大小或者记录数
	 */
	private Long dataSize;
	
	/**
	 * 客户端IP
	 */
	private String clientIp;
	
	/**
	 * 调用接口时间
	 */
	private String requestTime;
	
	/**
	 * 入库时间
	 */
	private String createTime;
	
	/**
	 * 调用状态
	 */
	private WhetherEnum state;
	
	/**
	 * 错误描述
	 */
	private String errMsg;
	
	public RequestLog() {}
	public RequestLog(String errMsg, String requestUri, String clientIp) {
		this.errMsg = errMsg;
		this.state = WhetherEnum.YES;
		this.clientIp = clientIp;
		this.requestUri = requestUri;
		this.createTime = DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss");
	}
	
}
