/**
 * 
 */
package com.platomix.datasafe.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.platomix.datasafe.enums.TaskStateEnum;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("BIZ_TASK_INFO")
public class TaskInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long taskId;
	
	/**
	 * 源文件名
	 */
	private String srcFileName;
	/**
	 * 源文件存储路径
	 */
	private String srcFilePath;
	/**
	 * 源文件大小
	 */
	private Long srcFileSize;
	/**
	 * 结果文件存储路径
	 */
	private String destFilePath;
	/**
	 * 目标文件大小
	 */
	private Long destFileSize;
	/**
	 * 状态
	 */
	private TaskStateEnum state;
	/**
	 * 来源
	 */
	private String channel;
	
	/**
	 * 创建时间
	 */
	private String createTime;
	
	/**
	 * 完成时间
	 */
	private String finishTime;
	
}
