/**
 * 
 */
package com.platomix.datasafe.service;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import com.platomix.datasafe.mapper.RsaKeyMapper;

/**
 * @author wookvn
 *
 */
@Service
public class RsaKeyService {

	@Autowired
	private RsaKeyMapper rsaKeyMapper;
	
	@PostConstruct
	public void init() {
		String key = rsaKeyMapper.getKey();
		if(key == null || "".equals(key)) {
			throw new RuntimeException("RSA DecryptKey must not null!!!");
		}
	}
	
	@Cacheable(cacheNames = "datasafeCache")
	public String getKey() {
		return rsaKeyMapper.getKey();
	}
	
}
